
clear
macro drop _all
program drop _all
set more off
set linesize 80

capture log close
log using "X:\Schwartz\Graf_Schwartz\DemResearchdraft\do_log files\graph_am_abd.log",replace

set mem 100m



clear
set mem 100m



***ODDS OF RACE/ETHNIC ENDOGAMY FROM MLOGIT****


**These are the exponential multinomial logit coefficients
**(source:models_desc_20to34_svy.log).
**To get the odds I have to multiply the coefficients in obs 1-3
**by the odds for married couples (the omitted category in the
**mlogit. The odds of homogamy for married couples come from
**the log linear models (source: baseline.log).

*These are the odds ratios from Table 3 (models_desc_20to34_svy.log).
input rel_var beta_ml1990 beta_ml2000
1 .281 .316
2 .366 .381
3 .526 .552
4 1 1

end



*multiply the odds ratios by the baseline odds for married couples.
gen h1990 = beta_ml1990* 22.54563
gen h2000 = beta_ml2000* 20.25763


list

#delimit ;

cd "X:\Schwartz\Graf_Schwartz\DemResearchdraft\graphs" ;

**Color ;

graph bar (asis) h1990 h2000,  over(rel_var, relabel(1 `" "Same-Sex" "Male Couples" "' 2 `" "Same-Sex" "Female Couples" "'
                                             3 `" "Different-Sex" "Cohabiting Couples" "' 4 `" "Different-Sex" "Married Couples" "' )
         label(labsize(*1.0)) gap(120))
         nofill exclude0 yscale(r(1 25) log) ylabel(5(5)25, grid labsize(*1.0))
         bar(1, bcolor(orange) )  bar(2, bcolor(ltblue)blcolor(gs12))
         bar(3, bcolor(ebblue) )  bar(4, bcolor(sandb) blcolor(gs12))
         scheme(s1color)
         graphregion(fcolor(gs16)) plotregion(style(none))
         ytitle("Odds")
         title("Odds of Race/Ethnic Endogamy") subtitle("by Couple Type, 1990-2000")
         legend(order(1 2) label(1 "1990") label(2 "2000") size(*.85)) /*outergap(80)*/
         note("Sources: 1990 and 2000 U.S. Census data (IPUMS).") ;



    graph export graph_am_abd_1.wmf, replace fontface(arial);



****black and white*** ;

graph bar (asis) h1990 h2000,  over(rel_var, relabel(1 `" "Same-Sex" "Male Couples" "' 2 `" "Same-Sex" "Female Couples" "'
                                             3 `" "Different-Sex" "Cohabiting Couples" "' 4 `" "Different-Sex" "Married Couples" "' )
         label(labsize(*1.0)) gap(120))
         nofill exclude0 yscale(r(1 25) log) ylabel(5(5)25, grid)
         bar(1, bcolor(gs4) blcolor(black))  bar(2, bcolor(gs10) blcolor(black))
         scheme(s1color)
         graphregion(fcolor(gs16)) plotregion(style(none))
         ytitle("Odds")
         legend(order(1 2) label(1 "1990") label(2 "2000") size(*.95)) outergap(80) ;


    graph export graph_am_abd_2.wmf, replace fontface(garamond) ;



clear ;
set mem 100m ;


#delimit cr

***ABS(AGE DIFF) FROM MLOGIT****


**These are the exponential multinomial logit coefficients.
**To get the odds I have to multiply the coefficients in obs 1-3
**by the odds for married couples (the omitted category in the
**mlogit. The odds of homogamy for married couples come from
**the unadjusted log linear models (same as graphed above).

input rel_var beta_ml1990 beta_ml2000
1 1.153 1.145
2 1.105 1.147
3 1.111 1.082
4 1  1

end


gen h1990 = beta_ml1990*.7834288
gen h2000 = beta_ml2000*.7881284


#delimit ;

**Color ;


graph bar (asis) h1990 h2000,  over(rel_var, relabel(1 `" "Same-Sex" "Male Couples" "' 2 `" "Same-Sex" "Female Couples" "'
                                             3 `" "Different-Sex" "Cohabiting Couples" "' 4 `" "Different-Sex" "Married Couples" "' )
         label(labsize(*1.0)) gap(120))
         nofill yscale(r(0.75 1.00) log) ylabel(0.75(.05)1.00, grid labsize(*1.0))  exclude0
         bar(1, blcolor(g12))  bar(2, blcolor(g12))
         bar(3, blcolor(g12))  bar(4, blcolor(g12))
         bar(1, bcolor(orange)  blcolor(g12))  bar(2, bcolor(ltblue) blcolor(g12))
         bar(3, bcolor(ebblue) blcolor(g12))  bar(4, bcolor(sandb) blcolor(g12))
         scheme(s1color)
         graphregion(fcolor(gs16)) plotregion(style(none))
         ytitle("Odds")
         legend(order(1 2) label(1 "1990") label(2 "2000") size(*.95)) /*outergap(80)*/
         title("Age Difference Parameters") subtitle("by Couple Type, 1990-2000")
         note("Sources: 1990 and 2000 U.S. Census data (IPUMS).") ;



    graph export graph_am_abd_3.wmf, replace fontface(arial);



****black and white*** ;

graph bar (asis) h1990 h2000,  over(rel_var, relabel(1 `" "Same-Sex" "Male Couples" "' 2 `" "Same-Sex" "Female Couples" "'
                                             3 `" "Different-Sex" "Cohabiting Couples" "' 4 `" "Different-Sex" "Married Couples" "' )
         label(labsize(*1.0)) gap(120))
         nofill yscale(r(0.75 1.00) log) ylabel(0.75(.05)1.00, grid labsize(*1.0))  exclude0
         bar(1, bcolor(gs4) blcolor(black))  bar(2, bcolor(gs10) blcolor(black))
         scheme(s1color)
         graphregion(fcolor(gs16)) plotregion(style(none))
         ytitle("Odds")
         legend(order(1 2) label(1 "1990") label(2 "2000") size(*.95)) outergap(80) ;



    graph export graph_am_abd_4.wmf, replace fontface(garamond) ;


clear ;
set mem 100m ;


#delimit cr

input rel_var bdc2_90 bdc3_90 bdc4_90 bdc2_00 bdc3_00 bdc4_00
1  .756  1.107 1.421  1.006 1.012 1.363
2  .836  1.050 1.251  1.394 1.027 1.091
3  1.266 1.034 1.047  1.294 1.044 1.052
4 1 1 1 1 1 1

end

gen dc2_90 = bdc2_90*0.3619808
gen dc3_90 = bdc3_90*0.4571998
gen dc4_90 = bdc4_90*0.3336757

gen dc2_00 = bdc2_00*.323386
gen dc3_00 = bdc3_00*.4352551
gen dc4_00 = bdc4_00*.3131675


gen dc24_00 = dc2_00*dc3_00*dc4_00
gen dc34_00 = dc3_00*dc4_00

gen dc24_90 = dc2_90*dc3_90*dc4_90
gen dc34_90 = dc3_90*dc4_90



#delimit ;

**Color ;

graph bar (asis) dc2_90 dc2_00,  over(rel_var, relabel(1 `" "Same-Sex" "Male Couples" "' 2 `" "Same-Sex" "Female Couples" "'
                                             3 `" "Different-Sex" "Cohabiting Couples" "' 4 `" "Different-Sex" "Married Couples" "' )
         label(labsize(*1.0)) gap(120))
         nofill exclude0 yscale(r(.1 .5) log) ylabel(.1(.1).5, grid labsize(*1.0))
         bar(1, blcolor(g12))  bar(2, blcolor(g12))
         bar(1, bcolor(orange)  blcolor(g12))  bar(2, bcolor(ltblue) blcolor(g12))
         bar(3, bcolor(ebblue) blcolor(g12))  bar(4, bcolor(sandb) blcolor(g12))
         scheme(s1color)
         legend(order(1 2) label(1 "1990") label(2 "2000") size(*.95)) outergap(80)
         graphregion(fcolor(gs16)) plotregion(style(none))
         title("Odds of Crossing: Less than High School and High School") subtitle("by Couple Type, 1990-2000")
         ytitle("Odds")
         note("Source: 1990 and 2000 U.S. Census data (IPUMS).") ;



    graph export graph_am_abd_5.wmf, replace fontface(arial);


**Color ;

graph bar (asis) dc3_90 dc3_00,  over(rel_var, relabel(1 `" "Same-Sex" "Male Couples" "' 2 `" "Same-Sex" "Female Couples" "'
                                             3 `" "Different-Sex" "Cohabiting Couples" "' 4 `" "Different-Sex" "Married Couples" "' )
         label(labsize(*1.0)) gap(120))
         nofill exclude0 yscale(r(.1 .5) log) ylabel(.1(.1).5, grid labsize(*1.0))
         bar(1, blcolor(g12))  bar(2, blcolor(g12))
         bar(3, blcolor(g12))  bar(4, blcolor(g12))
         bar(1, bcolor(orange)  blcolor(g12))  bar(2, bcolor(ltblue) blcolor(g12))
         bar(3, bcolor(ebblue) blcolor(g12))  bar(4, bcolor(sandb) blcolor(g12))
         scheme(s1color)
         legend(order(1 2) label(1 "1990") label(2 "2000") size(*.95))
         graphregion(fcolor(gs16)) plotregion(style(none))
         title("Odds of Crossing: High School and Some College") subtitle("by Couple Type, 1990-2000")
         ytitle("Odds")
         note("Source: 1990 and 2000 U.S. Census data (IPUMS).") ;



    graph export graph_am_abd_6.wmf, replace fontface(arial);


**Color ;

graph bar (asis) dc4_90 dc4_00,  over(rel_var, relabel(1 `" "Same-Sex" "Male Couples" "' 2 `" "Same-Sex" "Female Couples" "'
                                             3 `" "Different-Sex" "Cohabiting Couples" "' 4 `" "Different-Sex" "Married Couples" "' )
         label(labsize(*1.0)) gap(120))
         nofill exclude0 yscale(r(.1 .5) log) ylabel(.1(.1).5, grid labsize(*1.0))
         bar(1, blcolor(g12))  bar(2, blcolor(g12))
         bar(3, blcolor(g12))  bar(4, blcolor(g12))
         bar(1, bcolor(orange)  blcolor(g12))  bar(2, bcolor(ltblue) blcolor(g12))
         bar(3, bcolor(ebblue) blcolor(g12))  bar(4, bcolor(sandb) blcolor(g12))
         scheme(s1color)
         legend(order(1 2) label(1 "1990") label(2 "2000") size(*.95))
         graphregion(fcolor(gs16)) plotregion(style(none))
         title("Odds of Crossing: Some College and College +") subtitle("by Couple Type, 1990-2000")
         ytitle("Odds")
         note("Source: 1990 and 2000 U.S. Census data (IPUMS).") ;



    graph export graph_am_abd_7.wmf, replace fontface(arial);



**Color ;

graph bar (asis) dc24_90 dc24_00,  over(rel_var, relabel(1 `" "Same-Sex" "Male Couples" "' 2 `" "Same-Sex" "Female Couples" "'
                                             3 `" "Different-Sex" "Cohabiting Couples" "' 4 `" "Different-Sex" "Married Couples" "' )
         label(labsize(*1.0)) gap(120))
         nofill exclude0 yscale(r(.03 .3) log) ylabel(.05 .1 .2 .3, grid labsize(*1.0))
         bar(1, blcolor(g12))  bar(2, blcolor(g12))
         bar(3, blcolor(g12))  bar(4, blcolor(g12))
         bar(1, bcolor(orange)  blcolor(g12))  bar(2, bcolor(ltblue) blcolor(g12))
         bar(3, bcolor(ebblue) blcolor(g12))  bar(4, bcolor(sandb) blcolor(g12))
         scheme(s1color)
         legend(order(1 2) label(1 "1990") label(2 "2000") size(*.95)) /*outergap(80)*/
         graphregion(fcolor(gs16)) plotregion(style(none))
         title("Odds of Crossing: Less than High School & College +") subtitle("by Couple Type, 1990-2000")
         ytitle("Odds")
         note("Sources: 1990 and 2000 U.S. Census data (IPUMS).") ;



    graph export graph_am_abd_8.wmf, replace fontface(arial);


****black and white*** ;

graph bar (asis) dc24_90 dc24_00,  over(rel_var, relabel(1 `" "Same-Sex" "Male Couples" "' 2 `" "Same-Sex" "Female Couples" "'
                                             3 `" "Different-Sex" "Cohabiting Couples" "' 4 `" "Different-Sex" "Married Couples" "' )
         label(labsize(*1.0)) gap(120))
         nofill exclude0 yscale(r(.03 .3) log) ylabel(.05 .1 .2 .3, grid)
         bar(1, bcolor(gs4) blcolor(black))  bar(2, bcolor(gs10) blcolor(black))
         scheme(s1color)
         graphregion(fcolor(gs16)) plotregion(style(none))
         ytitle("Odds")
         legend(order(1 2) label(1 "1990") label(2 "2000") size(*.95)) outergap(80) ;



    graph export graph_am_abd_9.wmf, replace fontface(garamond) ;




**Color ;

graph bar (asis) dc34_90 dc34_00,  over(rel_var, relabel(1 `" "Same-Sex" "Male Couples" "' 2 `" "Same-Sex" "Female Couples" "'
                                             3 `" "Different-Sex" "Cohabiting Couples" "' 4 `" "Different-Sex" "Married Couples" "' )
                                         label(labsize(*1.0)) gap(120))
         nofill exclude0 yscale(r(.03 .3) log) ylabel(.05 .1 .2 .3, grid labsize(*1.0))
         bar(1, blcolor(g12))  bar(2, blcolor(g12))
         bar(3, blcolor(g12))  bar(4, blcolor(g12))
         bar(1, bcolor(orange)  blcolor(g12))  bar(2, bcolor(ltblue) blcolor(g12))
         bar(3, bcolor(ebblue) blcolor(g12))  bar(4, bcolor(sandb) blcolor(g12))
         scheme(s1color)
         legend(order(1 2) label(1 "1990") label(2 "2000") size(*.95)) /*outergap(80)*/
         graphregion(fcolor(gs16)) plotregion(style(none))
         title("Odds of Crossing: High School Grad & College +") subtitle("by Couple Type, 1990-2000")
         ytitle("Odds")
         note("Sources: 1990 and 2000 U.S. Census data (IPUMS).") ;



    graph export graph_am_abd_10.wmf, replace fontface(arial) ;




****black and white*** ;

graph bar (asis) dc34_90 dc34_00,  over(rel_var, relabel(1 `" "Same-Sex" "Male Couples" "' 2 `" "Same-Sex" "Female Couples" "'
                                             3 `" "Different-Sex" "Cohabiting Couples" "' 4 `" "Different-Sex" "Married Couples" "' )
         label(labsize(*1.0)) gap(120))
         nofill exclude0 yscale(r(.03 .3) log) ylabel(.05 .1 .2 .3, grid)
         bar(1, bcolor(gs4) blcolor(black))  bar(2, bcolor(gs10) blcolor(black))
         scheme(s1color)
         graphregion(fcolor(gs16)) plotregion(style(none))
         ytitle("Odds")
         legend(order(1 2) label(1 "1990") label(2 "2000") size(*.95)) outergap(80) ;



    graph export graph_am_abd_11.wmf, replace fontface(garamond) ;




