
clear
macro drop _all
program drop _all
set more off
set linesize 80

capture log close
log using "X:\Schwartz\Graf_Schwartz\DemResearchdraft\do_log files\graph_am_abd_20to49.log",replace

set mem 100m



clear
set mem 100m



***ODDS OF RACE/ETHNIC ENDOGAMY FROM MLOGIT****


**These are the exponential multinomial logit coefficients
**(source:models_desc_20to49_svy.log).
**To get the odds I have to multiply the coefficients in obs 1-3
**by the odds for married couples (the omitted category in the
**mlogit. The odds of homogamy for married couples come from
**the log linear models (source: baseline_20to49.log).

*These are the odds ratios from Table 4 (models_desc_20to49_svy.log).
input rel_var beta_ml1990 beta_ml2000
1 .247 .258
2 .420 .408
3 .531 .529
4 1 1

end



*multiply the odds ratios by the baseline odds for married couples.
gen h1990 = beta_ml1990*  26.10901
gen h2000 = beta_ml2000*  23.19411


list

#delimit ;

cd "X:\Schwartz\Graf_Schwartz\DemResearchdraft\graphs" ;


****black and white*** ;

graph bar (asis) h1990 h2000,  over(rel_var, relabel(1 `" "Same-Sex" "Male Couples" "' 2 `" "Same-Sex" "Female Couples" "'
                                             3 `" "Different-Sex" "Cohabiting Couples" "' 4 `" "Different-Sex" "Married Couples" "' )
         label(labsize(*1.0)) gap(120))
         nofill exclude0 yscale(r(1 25) log) ylabel(5(5)25, grid)
         bar(1, bcolor(gs4) blcolor(black))  bar(2, bcolor(gs10) blcolor(black))
         scheme(s1color)
         graphregion(fcolor(gs16)) plotregion(style(none))
         ytitle("Odds")
         legend(order(1 2) label(1 "1990") label(2 "2000") size(*.95)) outergap(80) ;


    graph export graph_am_abd_20to49_2.wmf, replace fontface(garamond) ;



clear ;
set mem 100m ;


#delimit cr

***ABS(AGE DIFF) FROM MLOGIT****


**These are the exponential multinomial logit coefficients.
**To get the odds I have to multiply the coefficients in obs 1-3
**by the odds for married couples (the omitted category in the
**mlogit. The odds of homogamy for married couples come from
**the unadjusted log linear models (same as graphed above).

input rel_var beta_ml1990 beta_ml2000
1 1.196 1.163
2 1.169 1.149
3 1.130 1.098
4 1  1

end


gen h1990 = beta_ml1990*.7741687
gen h2000 = beta_ml2000*.7864803


#delimit ;


****black and white*** ;

graph bar (asis) h1990 h2000,  over(rel_var, relabel(1 `" "Same-Sex" "Male Couples" "' 2 `" "Same-Sex" "Female Couples" "'
                                             3 `" "Different-Sex" "Cohabiting Couples" "' 4 `" "Different-Sex" "Married Couples" "' )
         label(labsize(*1.0)) gap(120))
         nofill yscale(r(0.75 1.00) log) ylabel(0.75(.05)1.00, grid labsize(*1.0))  exclude0
         bar(1, bcolor(gs4) blcolor(black))  bar(2, bcolor(gs10) blcolor(black))
         scheme(s1color)
         graphregion(fcolor(gs16)) plotregion(style(none))
         ytitle("Odds")
         legend(order(1 2) label(1 "1990") label(2 "2000") size(*.95)) outergap(80) ;



    graph export graph_am_abd_20to49_4.wmf, replace fontface(garamond) ;


clear ;
set mem 100m ;


#delimit cr

input rel_var bdc2_90 bdc3_90 bdc4_90 bdc2_00 bdc3_00 bdc4_00
1  .838  1.195 1.329  0.908 1.001 1.283
2  1.047 0.999 1.140  1.408 0.919 1.061
3  1.259 1.073 1.069  1.328 1.065 1.037
4 1 1 1 1 1 1

end

gen dc2_90 = bdc2_90*0.3577242
gen dc3_90 = bdc3_90*0.4720485
gen dc4_90 = bdc4_90*0.3725352

gen dc2_00 = bdc2_00*.3136829
gen dc3_00 = bdc3_00*.4735599
gen dc4_00 = bdc4_00*.3682674


gen dc24_00 = dc2_00*dc3_00*dc4_00
gen dc34_00 = dc3_00*dc4_00

gen dc24_90 = dc2_90*dc3_90*dc4_90
gen dc34_90 = dc3_90*dc4_90



#delimit ;



****black and white*** ;

graph bar (asis) dc24_90 dc24_00,  over(rel_var, relabel(1 `" "Same-Sex" "Male Couples" "' 2 `" "Same-Sex" "Female Couples" "'
                                             3 `" "Different-Sex" "Cohabiting Couples" "' 4 `" "Different-Sex" "Married Couples" "' )
         label(labsize(*1.0)) gap(120))
         nofill exclude0 yscale(r(.03 .3) log) ylabel(.05 .1 .2 .3, grid)
         bar(1, bcolor(gs4) blcolor(black))  bar(2, bcolor(gs10) blcolor(black))
         scheme(s1color)
         graphregion(fcolor(gs16)) plotregion(style(none))
         ytitle("Odds")
         legend(order(1 2) label(1 "1990") label(2 "2000") size(*.95)) outergap(80) ;



    graph export graph_am_abd_20to49_9.wmf, replace fontface(garamond) ;



****black and white*** ;

graph bar (asis) dc34_90 dc34_00,  over(rel_var, relabel(1 `" "Same-Sex" "Male Couples" "' 2 `" "Same-Sex" "Female Couples" "'
                                             3 `" "Different-Sex" "Cohabiting Couples" "' 4 `" "Different-Sex" "Married Couples" "' )
         label(labsize(*1.0)) gap(120))
         nofill exclude0 yscale(r(.03 .3) log) ylabel(.05 .1 .2 .3, grid)
         bar(1, bcolor(gs4) blcolor(black))  bar(2, bcolor(gs10) blcolor(black))
         scheme(s1color)
         graphregion(fcolor(gs16)) plotregion(style(none))
         ytitle("Odds")
         legend(order(1 2) label(1 "1990") label(2 "2000") size(*.95)) outergap(80) ;



    graph export graph_am_abd_20to49_11.wmf, replace fontface(garamond) ;




